SphinxClient::status
Swish
SphinxClient
PHP Manual

# SphinxClient::updateAttributes

(PECL sphinx >= 0.1.0)

SphinxClient::updateAttributes — Update document attributes

### Beschreibung

public int SphinxClient::updateAttributes ( string `$index` , array `$attributes` , array `$values` )

Instantly updates given attribute values in given documents.

### Parameter-Liste

`index`

  Name of the index (or indexes) to be updated.

`attributes`

  Array of attribute names, listing attributes that are updated.

`values`

  Associative array containing document IDs as keys and array of attribute values as values.

### Rückgabewerte

Returns number of actually updated documents (0 or more) on success, or `FALSE` on failure.

SphinxClient::status
Swish
SphinxClient
PHP Manual